<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null) {
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
<%
	}
	String persona = (String)session.getAttribute("persona");
	String origen = "opener.document." + request.getParameter("Origen");
	String origenRequest = request.getParameter("Origen");
	String codigoFiltro = request.getParameter("codigoFiltro")==null?"":request.getParameter("codigoFiltro");
	String dniFiltro = request.getParameter("dniFiltro")==null?"":request.getParameter("dniFiltro");
	String nombreFiltro = request.getParameter("nombreFiltro")==null?"":request.getParameter("nombreFiltro");
	String apellidosFiltro = request.getParameter("apellidosFiltro")==null?"":request.getParameter("apellidosFiltro");
	String buscar = request.getParameter("buscar")==null?"":request.getParameter("buscar");
	String disabled = request.getParameter("disabled")==null?"0":request.getParameter("disabled");
%>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
	<head>
		<title><%= resTit.getString("titBusquedaPersonal")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
	</head>

	<SCRIPT language=JavaScript>
		function fncSeleccionar (origen, codigo, dni, nombre, apellidos, cargo, codDepto, descDeptoC, descDeptoE) {

			origen.Codigo.value 	= codigo;
			origen.Dni.value 		= dni;
			origen.Nombre.value 	= nombre;
			origen.Apellidos.value 	= apellidos;
			origen.CodDepto.value 	= codDepto;
			origen.DescDeptoC.value = descDeptoC;
			origen.DescDeptoE.value = descDeptoE;
			
			if (origen.Cargo) {
				origen.Cargo.value = cargo;
			}

			window.close();
		}
		
		function fncBuscar (origen) {

			var frm=FormRelPersonasXLNETs;

			var parametros='';

		    var nombre=frm.Nombre.value;
		    if (nombre == null) {
		    	nombre="";
		    }
		    if(frm.Nombre) {
			    if(existeCaracter(nombre,"\'")||existeCaracter(nombre,'\"')) {
		 			alert(dameAlerta(idioma, 1));
		 			frm.Nombre.focus();
		 			return;
		 		}
		 	}
		
		    var apellidos=frm.Apellidos.value;
		    if (apellidos == null) {
		    	apellidos="";
		    }
		    if(frm.Apellidos) {
			    if(existeCaracter(apellidos,"\'")||existeCaracter(apellidos,'\"')) {
		 			alert(dameAlerta(idioma, 1));
		 			frm.Apellidos.focus();
		 			return;
		 		}
		 	}
		
		    var dni=frm.Dni.value;
		    if (dni == null) {
		    	dni="";
		    }
		    if(frm.Dni) {
			    if(existeCaracter(dni,"\'")||existeCaracter(dni,'\"')) {
		 			alert(dameAlerta(idioma, 1));
		 			frm.Dni.focus();
		 			return;
		 		}
			}
		
		    var codigo=frm.Codigo.value;
		    if (codigo == null) {
		    	codigo="";
		    }
		    if(frm.Codigo) {
			    if(existeCaracter(codigo,"\'")||existeCaracter(codigo,'\"')) {
		 			alert(dameAlerta(idioma, 1));
		 			frm.Codigo.focus();
		 			return;
		 		}
			}

			parametros='&nombreFiltro=' + nombre
					  +'&apellidosFiltro=' + apellidos
					  +'&dniFiltro=' + dni
					  +'&codigoFiltro=' + codigo
					  +'&buscar=1';

			//location.href='m05bBuscarPersonasXLNETsJsp.jsp?Origen='+origen+parametros;
			location.replace('m05bBuscarPersonasXLNETsJsp.jsp?Origen='+origen+parametros);
		}

	</SCRIPT>

	<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';" onunload="document.body.style.cursor='wait';">
		<%//@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
		<FORM NAME="FormRelPersonasXLNETs" METHOD="POST">
			<TABLE class="general">
				<tr align="right">
					<td colspan="1">
						<input type="button" class="boton" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" onclick="javascript:fncBuscar('<%=origenRequest%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
						<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:window.close();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
					</td>
				</tr>
				<tr>
				</tr>
			</TABLE>

			<TABLE class="general">
			    <tr>
					<td width="10%" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
			    </tr>
			    <tr>
			    	<%if (disabled.equals("1")) {%>
						<td align="left"><INPUT disabled="disabled" class="inputField" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigoFiltro%>" size="12" maxlength="12"/></td>
					<%} else {%>
						<td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigoFiltro%>" size="12" maxlength="12"/></td>
					<%}%>
				</tr>

				<tr>
					<td width="10%" class="inputFieldTitle"><%= res.getString("etDNI")%></td>
			    </tr>
		    	<tr>
					<%if (disabled.equals("1")) {%>
						<td align="left"><INPUT disabled="disabled" class="inputField" TYPE="TEXT" NAME="Dni" VALUE="<%=dniFiltro%>" size="12" maxlength="10" /></td>
					<%} else {%>
						<td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Dni" VALUE="<%=dniFiltro%>" size="12" maxlength="10" /></td>
					<%}%>
			    </tr>

						<INPUT disabled="disabled" class="inputField" TYPE="hidden" NAME="Nombre" VALUE="<%=nombreFiltro%>" size="100" maxlength="100"/>

						<INPUT disabled="disabled" class="inputField" TYPE="hidden" NAME="Apellidos" VALUE="<%=apellidosFiltro%>" size="100" maxlength="100"/>
		    </TABLE>
		    
		    <br />

			<div id="divCargando" id="divCargando" style="height:219px; width:100%; vertical-align:middle; text-align:center; margin: 3px 0px 0px 0px; visibility: inline;" >
				<img alt="" name="ImgEspera" runat="server" id="ImgEspera" src="/parquemovil/images/cargando2.gif" height="32" width="32" style="margin: 100px 0px 0px 0px;" /><br />
				<label id="lblCargando" style="font:caption;"><%=res.getString("etCARGANDO")%></label>
			</div>

			<TABLE class="general">
				<tr>
					<td class="searchTitle" width="9%"><%= res.getString("etCodigo")%></td>
					<td class="searchTitle" width="9%"><%= res.getString("etDNI")%></td>
					<td class="searchTitle" width="20%"><%= res.getString("etNombre")%></td>
					<td class="searchTitle" width="25%"><%= res.getString("etApellidos")%></td>
					<td class="searchTitle" width="9%"><%= res.getString("etCodDepto")%></td>
					<td class="searchTitle" width="9%"><%= res.getString("etDescDepto")%></td>
					<td class="searchTitle" width="19%"><%= res.getString("etEDescripcion")%></td>
				</tr>
			<%
			SecurityHelpperXLNets sh;
			ArrayList listaD = null;
			int i=0;
			
			if (buscar != "") {
				%>
				<script>
					document.getElementById("divCargando").style.display = "inline";
				</script>
				<%
				response.flushBuffer();
				sh = new SecurityHelpperXLNets();
				sh.setHttpRequest(request);
				listaD = sh.getPersonasXLNETs(codigoFiltro, dniFiltro, nombreFiltro, apellidosFiltro);
			}

			if (listaD != null) {
				String codigo = "";
				String dni = "";
				String nombre = "";
				String apellidos = "";
				String cargo = "";
				String codDepto = "";
				String descDeptoC = "";
				String descDeptoE = "";
				for (i=0; i < listaD.size(); i++) {
					codigo		= ((m05bPersonaXLNET)listaD.get(i)).getCodigo();
					dni 		= ((m05bPersonaXLNET)listaD.get(i)).getDni();
					nombre 		= ((m05bPersonaXLNET)listaD.get(i)).getNombre();
					apellidos	= ((m05bPersonaXLNET)listaD.get(i)).getApellidos();
					cargo		= ((m05bPersonaXLNET)listaD.get(i)).getCargo();
					codDepto	= ((m05bPersonaXLNET)listaD.get(i)).getCodDepto();
					descDeptoC	= ((m05bPersonaXLNET)listaD.get(i)).getDescDeptoC();
					descDeptoE	= ((m05bPersonaXLNET)listaD.get(i)).getDescDeptoE();
					%>
					<tr>
						<td class="inputFieldTitle">
							<FONT size="2">
							<A href="#" onclick="javascript:fncSeleccionar(<%=origen%>,'<%=codigo%>','<%=dni%>','<%=nombre%>','<%=apellidos%>','<%=cargo%>','<%=codDepto%>','<%=descDeptoC%>','<%=descDeptoE%>');return false;"><%=codigo%>
							</A>
							</FONT>
						</td>
						<td class="inputFieldTitle"><FONT size="2"><%=dni%></FONT></td>
						<td class="inputFieldTitle"><FONT size="2"><%=nombre%></FONT></td>
						<td class="inputFieldTitle"><FONT size="2"><%=apellidos%></FONT></td>
						<td class="inputFieldTitle"><FONT size="2"><%=codDepto%></FONT></td>
						<td class="inputFieldTitle"><FONT size="2"><%=descDeptoC%></FONT></td>
						<td class="inputFieldTitle"><FONT size="2"><%=descDeptoE%></FONT></td>
					</tr>
			<%
				}
			}
			%>
			    <tr align="center">
					<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=i%></td>
			    </tr>

			</TABLE>
			
			<script>
				document.getElementById("divCargando").style.display = "none";
			</script>
		</FORM>

	</BODY>
</HTML>